/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.security.permission;

import com.liferay.portal.model.BaseModelListener;
import com.liferay.portal.model.UserGroupGroupRole;

/**
 * @author Preston Crary
 */
public class UserGroupGroupRoleModelListener
	extends BaseModelListener<UserGroupGroupRole> {

	@Override
	public void onAfterCreate(UserGroupGroupRole userGroupGroupRole) {
		PermissionCacheUtil.clearCache();
	}

	@Override
	public void onAfterRemove(UserGroupGroupRole userGroupGroupRole) {
		PermissionCacheUtil.clearCache();
	}

	@Override
	public void onAfterUpdate(UserGroupGroupRole userGroupGroupRole) {
		PermissionCacheUtil.clearCache();
	}

}